Debian Bug report logs - #521980
libldap-ruby: FTBFS: 'LDAP_OPT_X_TLS_PROTOCOL' undeclared

version graph

Package: libldap-ruby; Maintainer for libldap-ruby is akira yamada <akira@debian.org>;

Reported by: Daniel Schepler <dschepler@gmail.com>

Date: Tue, 31 Mar 2009 01:33:03 UTC

Severity: serious

Tags: patch

Found in version 0.9.7-1

Fixed in version libldap-ruby/0.9.7-1.1

Done: Michael Banck <mbanck@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#521980; Package libldap-ruby. (Tue, 31 Mar 2009 01:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <schepler@math.berkeley.edu>:
New Bug report received and forwarded. Copy sent to akira yamada <akira@debian.org>. (Tue, 31 Mar 2009 01:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Schepler <schepler@math.berkeley.edu>
To: submit@bugs.debian.org
Subject: libldap-ruby: FTBFS: 'LDAP_OPT_X_TLS_PROTOCOL' undeclared
Date: Mon, 30 Mar 2009 18:31:39 -0700
Package: libldap-ruby
Version: 0.9.7-1
Severity: serious

From my pbuilder build log:

...
cc -I. -I. -I/usr/lib/ruby/1.8/x86_64-linux -I.. -DUSE_OPENLDAP2 -DUSE_OPENLDAP -DLDAP_DEPRECATED -
D_REENTRANT -DHAVE_LDAP_H -DHAVE_LBER_H -DHAVE_LDAP_INIT -DHAVE_LDAP_SET_OPTION -
DHAVE_LDAP_GET_OPTION -DHAVE_LDAP_START_TLS_S -DHAVE_LDAP_MEMFREE -DHAVE_LDAP_PERROR -
DHAVE_LDAP_SORT_ENTRIES -DHAVE_LDAP_SASL_BIND_S -DHAVE_LDAP_COMPARE_S -
DHAVE_LDAP_ADD_EXT_S -DHAVE_LDAP_COMPARE_EXT_S -DHAVE_LDAP_DELETE_EXT_S -
DHAVE_LDAP_MODIFY_EXT_S -DHAVE_LDAP_SEARCH_EXT_S -DHAVE_LDAP_UNBIND_EXT_S -
DHAVE_LDAP_SASL_INTERACTIVE_BIND_S    -fPIC -fno-strict-aliasing -g -g -O2  -fPIC   -c ../conn.c
../conn.c: In function 'rb_ldap_conn_set_option':
../conn.c:501: error: 'LDAP_OPT_X_TLS_PROTOCOL' undeclared (first use in this function)
../conn.c:501: error: (Each undeclared identifier is reported only once
../conn.c:501: error: for each function it appears in.)
../conn.c: In function 'rb_ldap_conn_get_option':
../conn.c:631: error: 'LDAP_OPT_X_TLS_PROTOCOL' undeclared (first use in this function)
make[1]: *** [conn.o] Error 1
make[1]: Leaving directory `/tmp/buildd/libldap-ruby-0.9.7/build-tree-ruby1.8'
make: *** [build-stamp] Error 2
dpkg-buildpackage: failure: debian/rules build gave error exit status 2
-- 
Daniel Schepler





Changed Bug submitter from Daniel Schepler <schepler@math.berkeley.edu> to Daniel Schepler <dschepler@gmail.com>. Request was from Daniel Schepler <dschepler@gmail.com> to control@bugs.debian.org. (Thu, 09 Apr 2009 23:57:59 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#521980; Package libldap-ruby. (Sun, 06 Sep 2009 05:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elías A. M. <ealmdz@gmail.com>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Sun, 06 Sep 2009 05:39:02 GMT) Full text and rfc822 format available.

Message #12 received at 521980@bugs.debian.org (full text, mbox):

From: Elías A. M. <ealmdz@gmail.com>
To: 521980@bugs.debian.org
Subject: Re: libldap-ruby: FTBFS: 'LDAP_OPT_X_TLS_PROTOCOL' undeclared
Date: Sun, 6 Sep 2009 00:30:40 -0500
[Message part 1 (text/plain, inline)]
Hi,
tag 521980 + patch

thanks.

The patch, I Think is similar to:
http://code.google.com/p/ruby-activeldap/source/diff?spec=svn959&r=959&format=side&path=/ldap/trunk/conn.c
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#521980; Package libldap-ruby. (Sat, 28 Nov 2009 23:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Sat, 28 Nov 2009 23:33:02 GMT) Full text and rfc822 format available.

Message #17 received at 521980@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 521980@bugs.debian.org
Subject: Re: libldap-ruby: FTBFS: 'LDAP_OPT_X_TLS_PROTOCOL' undeclared
Date: Sun, 29 Nov 2009 00:25:35 +0100
[Message part 1 (text/plain, inline)]
tags 521980 +patch +pending
thanks

Hi,

I will shortly NMU this bug with the attached interdiff.


cheers,

Michael
[interdiff (text/plain, attachment)]

Added tag(s) patch. Request was from Michael Banck <mbanck@debian.org> to control@bugs.debian.org. (Sat, 28 Nov 2009 23:33:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Michael Banck <mbanck@debian.org> to control@bugs.debian.org. (Sat, 28 Nov 2009 23:33:04 GMT) Full text and rfc822 format available.

Reply sent to Michael Banck <mbanck@debian.org>:
You have taken responsibility. (Sun, 29 Nov 2009 13:39:08 GMT) Full text and rfc822 format available.

Notification sent to Daniel Schepler <dschepler@gmail.com>:
Bug acknowledged by developer. (Sun, 29 Nov 2009 13:39:08 GMT) Full text and rfc822 format available.

Message #26 received at 521980-close@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 521980-close@bugs.debian.org
Subject: Bug#521980: fixed in libldap-ruby 0.9.7-1.1
Date: Sun, 29 Nov 2009 13:35:00 +0000
Source: libldap-ruby
Source-Version: 0.9.7-1.1

We believe that the bug you reported is fixed in the latest version of
libldap-ruby, which is due to be installed in the Debian FTP archive:

libldap-ruby1.8_0.9.7-1.1_i386.deb
  to main/libl/libldap-ruby/libldap-ruby1.8_0.9.7-1.1_i386.deb
libldap-ruby_0.9.7-1.1.diff.gz
  to main/libl/libldap-ruby/libldap-ruby_0.9.7-1.1.diff.gz
libldap-ruby_0.9.7-1.1.dsc
  to main/libl/libldap-ruby/libldap-ruby_0.9.7-1.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 521980@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Banck <mbanck@debian.org> (supplier of updated libldap-ruby package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sun, 29 Nov 2009 00:19:46 +0100
Source: libldap-ruby
Binary: libldap-ruby1.8
Architecture: source i386
Version: 0.9.7-1.1
Distribution: unstable
Urgency: low
Maintainer: akira yamada <akira@debian.org>
Changed-By: Michael Banck <mbanck@debian.org>
Description: 
 libldap-ruby1.8 - OpenLDAP library binding for Ruby 1.8
Closes: 521980
Changes: 
 libldap-ruby (0.9.7-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * conn.c: Replaced LDAP_OPT_X_TLS_PROTOCOL with LDAP_OPT_X_TLS_PROTOCOL_MIN.
   * ldap.c: Likewise (Closes: #521980)
Checksums-Sha1: 
 b81e08d8d210fec6014a57956cbb495ceec93b3e 1044 libldap-ruby_0.9.7-1.1.dsc
 be157e4734acdc3d1e9682063691d67c68d0e5b9 3264 libldap-ruby_0.9.7-1.1.diff.gz
 81236de3c56abedb9e1831e0b42ae565b5c9bb88 65952 libldap-ruby1.8_0.9.7-1.1_i386.deb
Checksums-Sha256: 
 a3ccfe4eca89b63d0aa4110b140272840df08454803d1147f0cd39988e3c18d1 1044 libldap-ruby_0.9.7-1.1.dsc
 6f769306132ba86b60ffafda41171b1f6e763ca7da355887af14ef51d9ad267b 3264 libldap-ruby_0.9.7-1.1.diff.gz
 e2217255159ee14a632dea34f25f2446976533362be5cd41f556e5b7754ff54a 65952 libldap-ruby1.8_0.9.7-1.1_i386.deb
Files: 
 a934c77291c0f2483847c835f121e37b 1044 interpreters optional libldap-ruby_0.9.7-1.1.dsc
 12f7ff3bc2083595c496435baf33ba09 3264 interpreters optional libldap-ruby_0.9.7-1.1.diff.gz
 d65b0d32a8b7e4b9fd57b059e9ba93d0 65952 interpreters optional libldap-ruby1.8_0.9.7-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLEnPtmHaJYZ7RAb8RAxY5AJ0XOIxZOyTrCR29ZY6+UawjooWHOQCgotlt
RZBHb7UeGuQ80MJ1sHdbEGQ=
=VCz3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:59:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:06:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.